Subject: RE: [Enum] IP-Telecoms Interworking Workshop 25-27 January 2000 a t ITU

From: [email-masked]
Date: Thu, 3 Feb 2000 11:13:01 +0200

Hi all,

Very interesting discussion.  I've joined ENUM, but am most
active in the SIGTRAN group.  Somme comments & questions.

[some text clipped]
> The inverse could be done here. The PDN signaling message is 
> intercepted by an E.164-aware IP router at the ingress of the 
> IP net. Assuming enum is a fact, the ingress router queries 
> DNS to see if the destination E.164 number has an IP address 
> as well. If it does, then all PDN PDUs are encapsulated in
> UDP/IP packets and sent to that destination, presumably with some
> preparatory "signaling" packets to indicate that a streaming 
> audio session is about to begin. This can all be best effort 
> or diffserv, or maybe the PDN signaling message can be used to 
> initiate an RSVP PATH/RESV transaction somehow. But I don't 
> think we should obsess over RSVP. The presumption here
> is that a connectionless method, best effort or diffserv, 
> will suffice to provide the QoS needed.
> 
> If the DNS enum does _not_ provide an IP address for that 
> E.164 destination, the the IP network maintains a routing table 
> of E.164 (hierarchical) numbers and best IP egress router for 
> that number (the opposite of the network of VCs between IP routers 
> in the ATM case). The PDN PDUs are sent through the
> IP network, and the egress E.164-aware router has the task of 
> generating the PDN signaling sequence to the destination PDN 
> host, and forwarding the PDUs on this circuit.

SIGTRAN is defining signaling transport over IP.  A new protocol,
SCTP, has been developed.  SCTP can be thought of as an improved,
more robust TCP.  Also being specified are adaptation layers to 
support SS7 signaling (adaptation layers for Q.921, MTP2 and MTP3).
I myself, am writing a draft on an SCCP layer.  The adaptation
layers + SCTP support the transport of the SS7 application 
layers.  For example, an SCCP adaptation layer could carry 
MAP or CAP signaling over TCAP.  In such a scenario, E.164 numbers
may be present.  I am thinking that the work being done here in ENUM
could then be used as a resolve the E.164 number to a IP address.

If this is relevant to the discussion at hand, I can supply more
comments.  I'd also appreciate feedback to my ideas.

best regards,
John Loughney

_______________________________________________
enum mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/enum